# SaveImageOptions class

Options for saving image to a path.

## Constructors

SaveImageOptions.new({int quality = -1, EncryptionMode encryptionMode = EncryptionMode.IF_AVAILABLE})
SaveImageOptions.fromJson(Map<String, dynamic> json)
  factory

## Properties

encryptionMode ↔ EncryptionMode
  Encryption mode.
  getter/setter pair
hashCode → int
  The hash code for this object.
  no setter inherited
quality ↔ int
  Quality parameter is for jpeg only and is in range 0 to 100. If -1, then settings from hibernation are used. In case when the Image Ref was created with a lazy load mode and originally has the same format as the requested to save, then setting quality to -1 leads to simply copying from source to destination, which is time efficient and prevents quality loss caused by jpeg encoding/decoding.
  getter/setter pair
runtimeType → Type
  A representation of the runtime type of the object.
  no setter inherited

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
toJson({ToJsonConfiguration? config}) → Map<String, dynamic>
toString() → String
  A string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator.
  inherited